Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.bpm.web.client.model.pagebus.hub
Enum ManagedEvent.DispatchScope

    java.lang.Object
      java.lang.Enum<ManagedEvent.DispatchScope>
          com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent.DispatchScope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ManagedEvent.DispatchScope>

Enclosing class:
  ManagedEvent<H extends com.google.gwt.event.shared.EventHandler>

    public static enum ManagedEvent.DispatchScope

extends java.lang.Enum<ManagedEvent.DispatchScope>

Controls how a ManagedEvent is dispatched:

- LOCAL - Dispatch is done locally only.
- MANAGED_HUB - Dispatch is done on the Managed Hub only.
- BOTH - Dispatch is done both locally and on the Managed Hub.

This value is set on the dispatchScope property.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Enum Constant Summary
`BOTH`
`LOCAL`
`MANAGED_HUB`

Method Summary
`static ManagedEvent.DispatchScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ManagedEvent.DispatchScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL

    public static final ManagedEvent.DispatchScope LOCAL

### MANAGED_HUB

    public static final ManagedEvent.DispatchScope MANAGED_HUB

### BOTH

    public static final ManagedEvent.DispatchScope BOTH

Method Detail

### values

    public static ManagedEvent.DispatchScope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ManagedEvent.DispatchScope c : ManagedEvent.DispatchScope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ManagedEvent.DispatchScope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.